Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie
Toon posts:

[Debian] apt-get heeft alleen oude versie van PostgreSQL

Pagina: 1
Acties:

Onderwerpen


  • Johnny
  • Registratie: december 2001
  • Laatst online: 16:07

Johnny

ondergewaardeerde internetguru

Topicstarter
Ik wil PostgreSQL (binary) installeren op Debian Linux. De laatste versie van PostgreSQL is op dit moment 8.4.1 en ik heb minimaal versie 8.3 nodig. Op de website van PostgreSQL wordt verwezen naar het command "Apt".

Als ik via het commando apt-get install postgresql uitvoer krijg ik de volgende melding:
quote:
Reading package lists... Done
Building dependency tree... Done
The following extra packages will be installed:
postgresql-7.4 postgresql-client postgresql-client-7.4
postgresql-client-common postgresql-common ssl-cert
Suggested packages:
postgresql-doc-7.4
Recommended packages:
postgresql-plpython-7.4 postgresql-plperl-7.4 postgresql-pltcl-7.4
The following NEW packages will be installed:
postgresql postgresql-7.4 postgresql-client postgresql-client-7.4
postgresql-client-common postgresql-common ssl-cert
0 upgraded, 7 newly installed, 0 to remove and 2 not upgraded.
Need to get 4681kB of archives.
After unpacking 12.2MB of additional disk space will be used.
Do you want to continue [Y/n]? n
Dat is dus een oude versie, maar ook na apt-get update krijg ik geen nieuwere versies te zien. de website van PostGreSQL verwijst verder naar "de documentatie" voor meer informatie, maar daar heb ik verder ook niks kunnen vinden, alle installatie-instructies gaan er vanuit dat apt-get goed werkt.

De vraag is dus: hoe krijg ik PostgreSQL 8.4.1 geinstalleerd onder Debian?

Aan de inhoud van de bovenstaande tekst kunnen geen rechten worden ontleend, tenzij dit expliciet in dit bericht is verwoord.


  • Alternativ
  • Registratie: juli 2003
  • Laatst online: 00:55

Alternativ

4 8 15 16 23 42

stap 1:

~$ apt-cache search postgresql | grep 8.4
libpgtypes3 - shared library libpgtypes for PostgreSQL 8.4
postgresql-8.4 - object-relational SQL database, version 8.4 server
postgresql-8.4-debversion - Debian version number type for PostgreSQL
postgresql-8.4-hstore-new - PostgreSQL data type for storing sets of (key,value) pairs
postgresql-8.4-preprepare - Pre Prepare your Statement server side
postgresql-client-8.4 - front-end programs for PostgreSQL 8.4
postgresql-contrib-8.4 - additional facilities for PostgreSQL
postgresql-doc-8.4 - documentation for the PostgreSQL database management system
postgresql-plperl-8.4 - PL/Perl procedural language for PostgreSQL 8.4
postgresql-plpython-8.4 - PL/Python procedural language for PostgreSQL 8.4
postgresql-pltcl-8.4 - PL/Tcl procedural language for PostgreSQL 8.4
postgresql-server-dev-8.4 - development files for PostgreSQL 8.4 server-side programming
postgresql-8.4-prefix - Prefix Range module for PostgreSQL

stap 2:

~$ apt-get install postgresql-8.4

Dit is onder testing overigens, in stable zit je voor zover ik op http://packages.debian.or...&suite=stable&section=all kan zien vast aan 8.3

Alternativ wijzigde deze reactie 16-10-2009 16:11 (101%)

alternativ


  • Herko_ter_Horst
  • Registratie: november 2002
  • Laatst online: 23:29
Heb je zelf gezocht? Google "postgresql 8.4 debian" en je zou al een hoop wijzer moeten worden (trefwoorden: stable, unstable, testing, backports). Bovendien geef je niet aan welke Debian versie je draait.

"Any sufficiently advanced technology is indistinguishable from magic."


  • GoTman
  • Registratie: oktober 2004
  • Laatst online: 00:36
volgens mij heb jij nog een oude debian instalatie want PostgreSQL in stable is versie 8.3.8.....

Yesterday is history. Tomorrow is a mystery. Today is a gift, that’s why we call it the present.


  • hostname
  • Registratie: april 2009
  • Laatst online: 15:29
Debian is een distributie die voornamelijk voor stabiliteit gaat. Dit beketent dat software eerst uitgebreid word getest, en dat het daardoor ook langer tot duurt voordat het in de repositories komt.

Bovendien worden versies van pakketten in de stable-tak niet meer geupdate. Als pakket x op het moment van uitbrengen van Lenny op versie 2.3 zit, dan komt de 2.4 (of zelfs 3.0) helemaal niet meer in Lenny terecht. Deze zal moeten wachten tot Squeeze (de eerstvolgende release).

Echter, als ik eens naar PostgreSQL kijk, is de versie in Lenny 8.3.

Als je op Etch zit zijn er dus 2 mogelijkheden om 8.3 te krijgen
- Je update naar Lenny (mag inmiddels wel, Lenny is al 8 maanden uit).
- Je gebruikt de backports repository

  • Blonde Tux
  • Registratie: januari 2008
  • Laatst online: 26-02 13:10

Blonde Tux

Advertentieboer

Of je compiled het:
http://www.postgresql.org/ftp/source/

./configure
make
make install

Weer eens wat anders dan apt

хочет знать все?


  • _JGC_
  • Registratie: juli 2000
  • Laatst online: 00:35
Mja, compilen uit source terwijl Debian stable gewoon actief de 8.3 branch van Postgresql volgt... nee, niet mijn hobby. De maintainers van Postgresql op Debian zijn heel intensief aan het samenwerken met de ontwikkelaars achter Postgresql. Het is ook het enige pakket wat ik ken waarbij niet gebackport wordt met security/reliability fixes, maar waarbij gewoon de volgende versie uit dezelfde branch wordt geupload.
Als je toch zo graag 8.4 op Debian lenny wilt, is er altijd nog de lenny-backports repository.

  • cariolive23
  • Registratie: januari 2007
  • Laatst online: 23-02 15:29
Je kunt toch ook een installer downloaden en gebruiken? Werkt prima op Ubuntu, dat zal met Debian vast niet veel anders zijn.

http://www.postgresql.org/download/linux
Pagina: 1


Apple iPhone 11 Microsoft Xbox Series X LG OLED C9 Google Pixel 4 CES 2020 Samsung Galaxy S20 4G Sony PlayStation 5 Nintendo Switch Lite

'14 '15 '16 '17 2018

Tweakers vormt samen met Hardware Info, AutoTrack, Gaspedaal.nl, Nationale Vacaturebank, Intermediair en Independer DPG Online Services B.V.
Alle rechten voorbehouden © 1998 - 2020 Hosting door True